package com.ho.business.mapper;

import com.ho.business.entity.DynamicConfigTitle;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


@Mapper
public interface DynamicConfigTitleMapper {

    /**
     * 插入数据
     * @param vo
     * @return
     */
    int insertOne(DynamicConfigTitle vo);

    /**
     * 更新数据
     * @param vo
     * @return
     */
    int updateById(DynamicConfigTitle vo);

    /**
     * 根据条件查询配置数据
     * @param config
     * @return
     */
    List<DynamicConfigTitle> selectByParam(DynamicConfigTitle config);

    /**
     * 根据id删除配置信息
     * @param id
     * @return
     */
    int deleteById(Integer id);

    /**
     * 批量删除
     * @param ids
     * @return
     */
    int deleteByIds(List<Integer> ids);
}
